> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getcargo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get current workspace

> Get the current workspace



## OpenAPI

````yaml https://api.getcargo.io/openapi.json get /workspaceManagement/workspaces/current
openapi: 3.1.0
info:
  title: Cargo API
  version: 1.0.0
  description: Cargo Platform API v1
servers:
  - url: https://api.getcargo.io/v1
    description: Cargo API
security:
  - bearerAuth: []
paths:
  /workspaceManagement/workspaces/current:
    get:
      tags:
        - Workspace Management - Workspaces
      summary: Get current workspace
      description: Get the current workspace
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  workspace:
                    type: object
                    properties:
                      uuid:
                        type: string
                      name:
                        type: string
                      allowedEmailDomains:
                        type: array
                        items:
                          type: string
                      temporalNamespace:
                        type: string
                      temporalTaskQueuePrefix:
                        anyOf:
                          - type: string
                          - type: 'null'
                      openAiVectorStoreId:
                        anyOf:
                          - type: string
                          - type: 'null'
                      syncs:
                        type: array
                        items:
                          type: object
                          properties:
                            domain:
                              type: string
                              enum:
                                - connection
                                - orchestration
                                - revenueOrganization
                                - storage
                                - systemOfRecordIntegration
                                - ai
                            temporalScheduleWorkflowId:
                              type: string
                            cron:
                              type: string
                          required:
                            - domain
                            - temporalScheduleWorkflowId
                            - cron
                          additionalProperties: false
                      createdAt:
                        type: string
                      updatedAt:
                        type: string
                      logoUrl:
                        anyOf:
                          - type: string
                          - type: 'null'
                      metadata:
                        anyOf:
                          - type: object
                            properties:
                              mainGoal:
                                type: array
                                items:
                                  type: string
                              salesRepCount:
                                type: string
                              gtmStackList:
                                type: array
                                items:
                                  type: string
                              referralSource:
                                type: array
                                items:
                                  type: string
                            additionalProperties: false
                          - type: 'null'
                      chromeExtensionMasterAgentUuid:
                        anyOf:
                          - type: string
                          - type: 'null'
                      chromeExtensionAvailableAgentUuids:
                        anyOf:
                          - type: array
                            items:
                              type: string
                          - type: 'null'
                      defaultRoleUuid:
                        anyOf:
                          - type: string
                          - type: 'null'
                      allowedLoginProviders:
                        anyOf:
                          - type: array
                            items:
                              type: string
                              enum:
                                - email
                                - google-oauth2
                                - azuread
                                - okta
                          - type: 'null'
                      ssoIdentifier:
                        anyOf:
                          - type: string
                          - type: 'null'
                    required:
                      - uuid
                      - name
                      - allowedEmailDomains
                      - temporalNamespace
                      - temporalTaskQueuePrefix
                      - openAiVectorStoreId
                      - syncs
                      - createdAt
                      - updatedAt
                      - logoUrl
                      - metadata
                      - chromeExtensionMasterAgentUuid
                      - chromeExtensionAvailableAgentUuids
                      - defaultRoleUuid
                      - allowedLoginProviders
                      - ssoIdentifier
                    additionalProperties: false
                required:
                  - workspace
                additionalProperties: false
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '404':
          description: Not found
        '500':
          description: Internal server error
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````